# CImageInfo class final

Inheritance
  - Object
  - Struct
  - CImageInfo
Implemented types
  - NativeType
Available extensions
  - StructAddress

## Constructors

CImageInfo.new()

## Properties

address → Pointer<T>

  Available on T, provided by the StructAddress extension

  The memory address of the underlying data.
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
height ↔ int
  getter/setter pair
maxByteSize ↔ int
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
width ↔ int
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited